﻿using NLog;
using Wisej.Base;

namespace SampleSessionTimeout
{
    public class AppLogger
    {
        #region Fields and Properties

        private static readonly Logger InnerLogger = LogManager.GetLogger(ApplicationBase.ProductName);

        private static AppLogger Instance { get; set; }

        #endregion

        #region Constructors

        private AppLogger()
        {
            // force to use factory method
        }

        #endregion

        #region Factory methods

        public static AppLogger GetLogger()
        {
            if (Instance == null)
                Instance = new AppLogger();

            return Instance;
        }

        #endregion

        #region Implementation of ILog

        public void Trace(string message)
        {
            InnerLogger.Trace(message);
        }

        public void Debug(string message)
        {
            InnerLogger.Debug(message);
        }

        public void Info(string message)
        {
            InnerLogger.Info(message);
        }

        public void Warn(string message)
        {
            InnerLogger.Warn(message);
        }

        public void Error(string message)
        {
            InnerLogger.Error(message);
        }

        public void Fatal(string message)
        {
            InnerLogger.Fatal(message);
        }

        #endregion
    }
}