﻿using Wisej.Base;

namespace SampleSessionTimeout
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main()
        {
            AppLogger.GetLogger().Info("Start");
            AppLogger.GetLogger().Info("SessionTimeout: " + ApplicationBase.Configuration.SessionTimeout);
            AppLogger.GetLogger().Info("KeepAliveInterval: " + ApplicationBase.Configuration.KeepAliveInterval);
            ApplicationBase.SessionTimeout += Application_SessionTimeout;
            ApplicationBase.ApplicationExit += Application_ApplicationExit;

            var mainPage = new MainPage();
            mainPage.Show();
        }

        private static void Application_SessionTimeout(object sender, System.ComponentModel.HandledEventArgs e)
        {
            AppLogger.GetLogger().Info("SessionTimeout");
            e.Handled = true;
        }

        private static void Application_ApplicationExit(object sender, System.EventArgs e)
        {
            AppLogger.GetLogger().Info("ApplicationExit");
        }
    }
}